import java.util.Arrays;
import java.util.List;

/**
 * Holder for tiles. Holder is ordered (has positions (index)).
 *
 * @author hajo
 *
 */
public class Holder {

    // Use array because holder newer change
    private final Tile[] tiles;
    private int actualSize = 0;

    public Holder(int size) {
        tiles = new Tile[size];
    }

    public boolean add(Tile tile) {
        for (int i = 0; i < tiles.length; i++) {
            if (tiles[i] == null) {
                tiles[i] = tile;
                actualSize++;
                return true;
            }
        }
        return false;
    }

    public Tile remove(int index) {
        Tile t = tiles[index];
        tiles[index] = null;
        actualSize--;
        return t;
    }
/*
    public Tile[] getTiles() {
        return tiles;
    }
*/
    public int actualSize() {
       return actualSize;
    }

    public int size() {
        return tiles.length;
    }

    @Override
    public String toString() {
        return Arrays.toString(tiles);
    }
}
