import java.util.List;

/**
 * A Scribble player
 *
 * @author hajo
 */
public class Player {

    private final Holder holder;
    private final String name;
    private final TileBag bag;  // Shared by all
    private int points;

    public Player(String name, Holder holder, TileBag bag) {
        this.name = name;
        this.bag = bag;
        this.holder = holder;
    }

    public void addPoints(int points) {
        this.points += points;
    }

    public Tile pickTileFromHolder(int index) {
        return holder.remove(index);
    }


    public void pickTilesFromBag() {
        while (holder.actualSize() < holder.size() && !bag.isEmpty()) {
            holder.add(bag.remove());
        }
    }

    public void putBackTile(Tile tile) {
        holder.add(tile);
    }

    public String getName() {
        return name;
    }

    public int getPoints() {
        return points;
    }

    @Override
    public String toString() {
        return "{" + name + ":" + holder.toString() + "}";
    }
}
